Subject: Re: linux-next: build failure after merge of the tip tree

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 16 Jan 2014 14:51:08 -0800

On 01/16/2014 02:34 PM, Stephen Rothwell wrote:
> Hi Peter,
> 
> On Thu, 16 Jan 2014 23:25:36 +0100 Peter Zijlstra
> <[email-masked]> wrote:
>> 
>> On Fri, Jan 17, 2014 at 07:46:28AM +1100, Stephen Rothwell
>> wrote:
>>> 
>>> On Thu, 16 Jan 2014 13:19:55 +0100 Peter Zijlstra
>>> <[email-masked]> wrote:
>>>> 
>>>> I think the below ought to work
>>> 
>>> To be clear, all you did was replace the body of mwait_idle()
>>> with
>>> 
>>> mwait_idle_with_hints(0, 0);
>> 
>> Pretty much, and add the asm/mwait.h include, otherwise you'll
>> end up with a compile fail.
>> 
>>> (and the comment above it)?  I need to apply in incremental
>>> patch in the merge commit.
>> 
>> I don't think I touched the comment at all.
> 

In retrospect this bit probably should have gone through the idle
tree.  That was my bad, I need to coordinate with Len better.

	-hpa